This paper presents conditions for constructing permutation-invariant quantum codes for deletion errors and provides a method for constructing them. Our codes include examples of quantum codes that can correct two or more deletion errors, which have not been studied before. We also give examples of quantum codes that can correct both multiple-qubit errors and multiple-deletion errors. We discuss a generalization of the construction of our codes at the end.
This paper presents conditions for constructing permutation-invariant quantum codes for deletion errors and provides a method for constructing them. Our codes include examples of quantum codes that can correct two or more deletion errors, which have not been studied before. We also give examples of quantum codes that can correct both multiple-qubit errors and multiple-deletion errors. We discuss a generalization of the construction of our codes at the end.
Quantum synchronisation errors are a class of errors that change the number of qubits in a quantum system. The classical error correction of synchronisation errors has been well-studied, including an insertion-deletion equivalence more than a half-century ago, but little progress has been made towards the quantum counterpart since the birth of quantum error correction. We address the longstanding problem of a quantum insertion-deletion equivalence on permutation-invariant codes, detailing the conditions under which such codes are t-insertion error-correctable. We extend these conditions to quantum insertion-deletion errors, formulating a more restrictive set of conditions under which permutation-invariant codes are (t,s)-insdel error-correctable. For completeness, we extend our approach to qudit errors on qudit permutation-invariant codes. Our work resolves many of the outstanding questions regarding the quantum error correction of synchronisation errors.
We present for the first time a general theory of error correction for permutation invariant (PI) codes. Using representation theory of the symmetric group we construct efficient algorithms that can correct any correctible error on any PI code. These algorithms involve measurements of total angular momentum, quantum Schur transforms or logical state teleportations, and geometric phase gates. For erasure errors, or more generally deletion errors, on certain PI codes, we give a simpler quantum error correction algorithm.
We construct a new family of permutationally invariant codes that correct t Pauli errors for any t≥1 . We also show that codes in the new family correct quantum deletion errors as well as spontaneous decay errors. Our construction contains some of the previously known permutationally invariant quantum codes as particular cases, which also admit transversal gates. In many cases, the codes in the new family are shorter than the best previously known explicit permutationally invariant codes for Pauli errors and deletions. Furthermore, our new code family includes a new ((4,2,2)) optimal single-deletion-correcting code. As a separate result, we generalize the conditions for permutationally invariant codes to correct t Pauli errors from the previously known results for t=1 to any number of errors. For small t , these conditions can be used to construct new examples of codes by computer.
Quantum deletions, which are harder to correct than erasure errors, occur in many realistic settings. It is therefore pertinent to develop quantum coding schemes for quantum deletion channels. To date, not much is known about which explicit quantum error correction codes can combat quantum deletions. We note that any permutation-invariant quantum code that has a distance oft+1can correcttquantum deletions for any positive integertin both the qubit and the qudit setting. Leveraging on coding properties of permutation-invariant quantum codes under erasure errors, we derive corresponding coding bounds for permutation-invariant quantum codes under quantum deletions. We focus our attention on a specific family ofN-qubit permutation-invariant quantum codes, which we call shifted gnu codes. The main result of this work is that their encoding and decoding algorithms can be performed inO(N)andO(N2).
We investigate Permutation-Invariant (PI) quantum error-correcting codes encoding a logical qudit of dimension dL in PI states using physical qudits of dimension dP. We extend the Knill--Laflamme (KL) conditions for d−1 deletion errors from qubits to qudits and investigate numerically both qubit (dL=dP=2) and qudit (dL>2 or dP>2) PI codes. We analyze the scaling of the block length n in terms of the code distance d, and compare to existing families of PI codes due to Ouyang, Aydin--Alekseyev--Barg (AAB) and Pollatsek--Ruskai (PR). Our three main findings are: (i) We conjecture that qubit PI codes correcting up to d−1 deletion errors have block length n(d)≥(3d2+1)/4, which implies an upper bound d≤12n−3/3 on their code distance, and that PR codes can saturate this bound. (ii) For qudit PI codes encoding a single qudit we numerically observe that increasing dP results in n monotonically decreasing and approaching the quantum Singleton bound n(d)≥2d−1. (iii) We propose a semi-analytic extension of the qubit AAB construction to qudits that finds explicit solutions by solving a linear program. Our results therefore provide key insights into lower bounds on the block length scaling of both qubit and qudit PI codes, and demonstrate the benefit of increased physical local dimension in the context of PI codes.
We construct a new family of permutationally in-variant codes that correcttPauli errors for anyt⩾1. We also show that codes in the new family correct quantum deletion errors as well as spontaneous decay errors. Our construction contains some of the previously known permutationally invariant quantum codes as particular cases. In many cases, the codes in the new family are shorter than the best previously known explicit permutationally invariant codes for Pauli errors and deletions. This is an extended abstract of the preprint [1].